import { get, uget, post, upost } from '@/http/index'

export const addOveryearAvmatConsume = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/addOveryearAvmatConsume', data)
}

export const updateOveryearAvmatConsume = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/updateOveryearAvmatConsume', data)
}

export const getOveryearAvmatConsume = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/getOveryearAvmatConsume', data)
}

export const removeOveryearAvmatConsume = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/removeOveryearAvmatConsume', data)
}

export const getImportModel = async (data) => {
  window.location.href = process.env.VUE_APP_BASE_API + `/carryingtask/overyearAvmatConsume/getImportModel?outPutType=${data}`
}

export const getOutBoundRecord = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/getOutBoundRecord', data)
}

export const removeOutBoundRecord = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/removeOutBoundRecord', data)
}

export const getWarehousingRecord = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/getWarehousingRecord', data)
}

export const removeWarehousingRecord = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/removeWarehousingRecord', data)
}

export const getSummaryData = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/getSummaryData', data)
}

export const autoMatching = async (data) => {
  return await get('/carryingtask/overyearAvmatConsume/autoMatching', data)
}

export const handMatching = async (data) => {
  return await post('/carryingtask/overyearAvmatConsume/handMatching', data)
}

export const sumCalculate = async (data) => {
  return await get('/carryingtask/overyearAvmatConsume/sumCalculate', data)
}
